The BOOST_PP_BITNOR macro expands to the bitwise NOR of its operands.

#### Usage

BOOST_PP_BITNOR(x, y)

#### Arguments

x
  The left operand of the operation. This value must expand to 0 or 1.
y
  The right operand of the operation. This value must expand to 0 or 1.

#### Remarks

If neither x nor y is 1, this macro expands to 1. Otherwise, it expands to 0.
This macro does not perform a boolean conversion on either operand before performing the bitwise NOR operation. If that conversion is necessary, use BOOST_PP_NOR instead.

#### See Also

- BOOST_PP_NOR

#### Requirements

Header: <boost/preprocessor/logical/bitnor.hpp>

#### Sample Code

    #include <boost/preprocessor/logical/bitnor.hpp>

    BOOST_PP_BITNOR(0, 0) // expands to 1
    BOOST_PP_BITNOR(0, 1) // expands to 0
    BOOST_PP_BITNOR(1, 0) // expands to 0
    BOOST_PP_BITNOR(1, 1) // expands to 0

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)